function [] = plotData(Vwx, Vwy, Vwz, Dwx, Dwy, Dwz, Awx, Awy, Awz, aGpsX, aGpsY, AsecTime)%#ok For unused variables

%% This function:
% Plot variables when passed in format:
% time, accelerations(xyz), velocities(xyz), displacements(xyz)

% As of 4/15/2014 Vwz, Dwz,Awz are unused.

% % New Accel
figure
hold on
plot(AsecTime, Awy, '-g','LineWidth', 1)
plot(AsecTime, Awx, 'LineWidth', 1.1)
title('Real World Acceleration','FontSize',...
    12,'FontWeight','b')
ylabel('Acceleration [m/s^2]','FontSize',12,'FontWeight','b')
xlabel('Time [s]','FontSize',12,'FontWeight','b')
grid on
set(gca,'FontSize',10,'FontWeight','b');
legend('Awy','Awx')

% New Velocity
figure
hold on
plot(AsecTime, Vwy, '-g','LineWidth', 1)
plot(AsecTime, Vwx, 'LineWidth', 1.1)
title('Real World Velocity','FontSize',...
    12,'FontWeight','b')
ylabel('Velocity [m/s]','FontSize',12,'FontWeight','b')
xlabel('Time [s]','FontSize',12,'FontWeight','b')
grid on
set(gca,'FontSize',10,'FontWeight','b');
legend('Vwy','Vwx')

% New Displacement
figure
hold on
plot(AsecTime, Dwy, '-g','LineWidth', 1)
plot(AsecTime, Dwx, 'LineWidth', 1.1)
title('Real World Displacement','FontSize',...
    12,'FontWeight','b')
ylabel('Displacement [m]','FontSize',12,'FontWeight','b')
xlabel('Time [s]','FontSize',12,'FontWeight','b')
grid on
set(gca,'FontSize',10,'FontWeight','b');
legend('Dwy','Dwx')

% 2D Accel Displacement vs 2D GPS Displacement:
figure
hold on
plot(aGpsX, aGpsY, 'o', 'LineWidth', 1)
plot(Dwx, Dwy, 'LineWidth', 2)
title('Accel Displacement vs. GPS Displacement','FontSize',...
    12,'FontWeight','b')
ylabel('Y Displacement [m]','FontSize',12,'FontWeight','b')
xlabel('X Displacement [m]','FontSize',12,'FontWeight','b')
grid on
axis equal
set(gca,'FontSize',10,'FontWeight','b');
legend('GPS','Accel')

end